module RulingTemplate
  class Engine < ::Rails::Engine
    initializer "ruling_template" do 
      OrbitApp.registration "ruling_template", :type => "ModuleApp" do
        module_label "ruling_template.ruling_template"
        base_url File.expand_path File.dirname(__FILE__)
        categorizable
        authorizable
        frontend_enabled
        # data_count 1..30
        # set_keyword_contstraints ["/cpanel/"]
        side_bar do
          head_label_i18n 'ruling_template.ruling_template', icon_class: "icons-palette"
          available_for "users"
          active_for_controllers (['admin/ruling_templates'])
          head_link_path "admin_ruling_templates_path"

          context_link 'ruling_template.all',
                :link_path=>"admin_ruling_templates_path" ,
                :priority=>1,
                :active_for_action=>{'admin/ruling_templates'=>"index"},
                :available_for => 'users'

          context_link 'ruling_template.new',
                :link_path=>"new_admin_ruling_template_path" ,
                :priority=>1,
                :active_for_action=>{'admin/ruling_templates'=>"new"},
                :available_for => 'users'

        end
      end
    end
  end
end
